Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.telemetry
Class CurrentTelemetry

    java.lang.Object
      org.ka2ddo.yaac.telemetry.CurrentTelemetry

All Implemented Interfaces:
  java.io.Serializable

    public class CurrentTelemetry

extends java.lang.Object
implements java.io.Serializable

Data structure containing the current telemetry state for a particular station, accumulating the data from TelemetryMessages, and MessageMessages providing the units, labels, and scaling equation coefficients for the station's telemetry.

See Also:
  Serialized Form

Field Summary
`float[]` | `analogValues` Raw (non-rescaled) analog values from telemetry message.
`boolean[]` | `binaryValues` Raw binary bits from telemetry message.
`float[]` | `eqnCoeffs` Quadratic equation coefficients from EQNS message.
`java.lang.String[]` | `fieldNames` Field names from PARM message (initialized to APRS defaults until the message overwrites it).
`java.lang.String` | `identifier` Callsign-SSID of station sending telemetry.
`java.lang.String` | `projectName` Telemetry project name from BITS message.
`boolean[]` | `senseFlags` Boolean flag polarity bits from BITS message.
`int` | `sequenceNum` Sequence number from telemetry message.
`long` | `timestampBits` Time in Java milliseconds since 1 Jan 1970 UTC when BITS message was last received.
`long` | `timestampEqns` Time in Java milliseconds since 1 Jan 1970 UTC when EQNS message was last received.
`long` | `timestampParm` Time in Java milliseconds since 1 Jan 1970 UTC when PARM message was last received.
`long` | `timestampTelemetry` Time in Java milliseconds since 1 Jan 1970 UTC when telemetry message was last received.
`long` | `timestampUnits` Time in Java milliseconds since 1 Jan 1970 UTC when UNIT message was last received.
`java.lang.String[]` | `unitNames` Unit names from UNIT message.

Constructor Summary
`CurrentTelemetry(java.lang.String identifier)` Constructor for CurrentTelemetry object.

Method Summary
`boolean` | `parse(MessageMessage mm)` Extract data from an APRS text message containing telemetry documentation for this station.
`boolean` | `parse(TelemetryMessage tm)` Extract data from a TelemetryMessage for this station.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public java.lang.String identifier

  Callsign-SSID of station sending telemetry.

### timestampTelemetry

    public long timestampTelemetry

  Time in Java milliseconds since 1 Jan 1970 UTC when telemetry message was last received.

### timestampEqns

    public long timestampEqns

  Time in Java milliseconds since 1 Jan 1970 UTC when EQNS message was last received.

### timestampParm

    public long timestampParm

  Time in Java milliseconds since 1 Jan 1970 UTC when PARM message was last received.

### timestampUnits

    public long timestampUnits

  Time in Java milliseconds since 1 Jan 1970 UTC when UNIT message was last received.

### timestampBits

    public long timestampBits

  Time in Java milliseconds since 1 Jan 1970 UTC when BITS message was last received.

### sequenceNum

    public int sequenceNum

  Sequence number from telemetry message.

### eqnCoeffs

    public float[] eqnCoeffs

  Quadratic equation coefficients from EQNS message.

### fieldNames

    public java.lang.String[] fieldNames

  Field names from PARM message (initialized to APRS defaults until the message overwrites it).

### unitNames

    public java.lang.String[] unitNames

  Unit names from UNIT message.

### senseFlags

    public boolean[] senseFlags

  Boolean flag polarity bits from BITS message.

### analogValues

    public float[] analogValues

  Raw (non-rescaled) analog values from telemetry message.

### binaryValues

    public final boolean[] binaryValues

  Raw binary bits from telemetry message.

### projectName

    public java.lang.String projectName

  Telemetry project name from BITS message.

Constructor Detail

### CurrentTelemetry

    public CurrentTelemetry(java.lang.String identifier)

  Constructor for CurrentTelemetry object.

  Parameters:
    `identifier` - String callsign of the station sending telemetry

Method Detail

### parse

    public boolean parse(TelemetryMessage tm)

  Extract data from a TelemetryMessage for this station.

  Parameters:
    `tm` - TelemetryMessage to parse
  Returns:
    boolean true if parsing was successful

### parse

    public boolean parse(MessageMessage mm)

  Extract data from an APRS text message containing telemetry documentation for this station.

  Parameters:
    `mm` - MessageMessage containing telemetry supplemental data
  Returns:
    boolean true if parsing was successful

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD